Package lxml :: Package tests :: Module test_pyclasslookup

[hide private]
[frames] | no frames]

# Module test_pyclasslookup

source code

Tests specific to the Python based class lookup.

Classes | [hide private]

| PyClassLookupTestCase Test cases for the lxml.pyclasslookup class lookup mechanism.

Functions | [hide private]

test_suite() | source code

Variables | [hide private]

| this_dir = ``'``/home/sbehnel/source/Python/lxml/lxml-2.2/src/lxml``...``
| xml_str = ``'``<obj:root xmlns:obj="objectified" xmlns:other="othe``...``
| __package__ = ``'``lxml.tests``'``

Variables Details | [hide private]

### this_dir

Value:

      '/home/sbehnel/source/Python/lxml/lxml-2.2/src/lxml/tests'

### xml_str

Value:

      '''<obj:root xmlns:obj="objectified" xmlns:other="otherNS">
        <obj:c1 a1="A1" a2="A2" other:a3="A3">
          <obj:c2>0</obj:c2>
          <obj:c2>1</obj:c2>
          <obj:c2>2</obj:c2>
          <other:c2>3</other:c2>
          <c2>3</c2>
        </obj:c1>
      ...